Open In App

Nvidia Interview Experience for SDE Internship (On-Campus) 2024

Last Updated : 06 Mar, 2024
Improve
Improve
Like Article
Like
Save
Share
Report

I applied to Nvidia on-campus in February 2024. There will be a total of 3 rounds, where 1 is the OA round and 2 are technical interview rounds.

Round 1: Online Round

2 CP+DSA + Aptitude-Based Questions

They were medium- to hard-level problems. I got the result of this test within 2–3 days.

I have received an email acknowledging that I am qualified for the interview.

Round 2: First Technical Round

The overall interview experience was nice but a bit on the tougher side; both the interviewers were great, helpful, and very supportive. It was an offline interview.

My first question was based on Trie. It was almost similar to Leetocde hard Problem Delete Duplicate Folders in system https://leetcode.com/problems/delete-duplicate-folders-in-system/(leetcode)

So first I asked a few questions regarding edge cases. I told my approach to this question, and the interviewer was satisfied with my approach. I then coded it in a few minutes, and while running the code, we got some errors, but after a few dry runs and discussion, I got the bug and updated the code, and then it worked fine for those two inputs. Then the interviewer asked what if we give some different test cases I have written the code for those cases only so I told the approach for those follow-up test cases, and the interviewer was satisfied with the approach.

Time taken: 35–40 minutes

My second question was about dynamic programming. This was also the Leetcode Hard Problem: partitioning an array into two arrays to minimize the sum difference https://www.geeksforgeeks.org/problems/minimum-sum-partition3317/1?itm_source=geeksforgeeks&itm_medium=article&itm_campaign=bottom_sticky_on_article

I started with a brute-force solution and then talked about my solution’s time and space complexity. Then I finally jumped on the optimal solution. The interviewer was satisfied with my approach, and then I coded it in a few minutes.

Time taken: 25–30 minutes

Key Takeaway:

I feel DP, Trie, and Graphs are Nvidia’s favourite topics. You will find problems related to DP, Trie, and Graph in both online assessments and the coding interview round.

These days, you can easily expect Leetcode questions directly asked in Nvidia. So my suggestion is to never get excited that you have already solved this problem and directly jump on to the optimal solution without talking about brute force solutions and explaining corner cases. I feel that this requires a well-disguised plan for your answer. And to achieve that, you need constant practice. The interviewer is more interested in how you keep optimizing the solution than in the perfect answer itself. To achieve this habit, always solve any problem as if the interviewer is right in front of you and you are explaining your logic to them. That environment becomes normal, and you start feeling confident about your approach.


Like Article
Suggest improvement
Share your thoughts in the comments

Similar Reads